{ LZ compression }
unit LZutil;

interface

type
{$IFDEF FPC}
	getfunctionpointer = function():word;pascal;
	putfunctionpointer = function(a:word):word;pascal;
{$ELSE}
	getfunctionpointer = pointer;
	putfunctionpointer = pointer;
{$ENDIF}

var
{$IFDEF FPC}
	SEGBUFIN:word;export;
	OFSBUFIN:word;export;
	SEGBUFOUT:word;export;
	OFSBUFOUT:word;export;
	bufinsizem:word;
	BUFOUTSIZEM:word;export;
	ECARTMAX:word;export;
	GETBUFIN:getfunctionpointer;export;
	PUTBUFOUT:putfunctionpointer;export;
	SEGMENTCHANGEDONE:byte;export;
{$ELSE}
	SEGBUFIN:word;
	OFSBUFIN:word;
	SEGBUFOUT:word;
	OFSBUFOUT:word;
	bufinsizem:word;
	BUFOUTSIZEM:word;
	ECARTMAX:word;
	GETBUFIN:getfunctionpointer;
	PUTBUFOUT:putfunctionpointer;
	SEGMENTCHANGEDONE:byte;
{$ENDIF}

{ compression }
procedure LZcompact( var bufinptr1;
			bufinsizem1:word;
			getbufin1:getfunctionpointer;
			var bufoutptr1;
			bufoutsizem1:word;
			putbufout1:putfunctionpointer);
procedure LZdcmp;

implementation

{$F+}
procedure LZCOMP; external;
{$L lzss}

procedure LZcompact( var bufinptr1;
			bufinsizem1:word;
			getbufin1:getfunctionpointer;
			var bufoutptr1;
			bufoutsizem1:word;
			putbufout1:putfunctionpointer);
begin
    segbufin:=seg(bufinptr1); ofsbufin:=ofs(bufinptr1);
	segbufout:=seg(bufoutptr1); ofsbufout:=ofs(bufoutptr1);
    bufinsizem:=bufinsizem1;
    bufoutsizem:=bufoutsizem1;
    getbufin:=getbufin1;
    putbufout:=putbufout1;
	LZCOMP;
end;

procedure LZdcmp;
begin
end;

end.
