#! /bin/bash

# Public Domain

[ -z "$DOSEMU" ] && DOSEMU=dosemu
[ -z "$NASM" ] && NASM=nasm

ia16-elf-gcc -Wall -Og unlzexe.c -li86 -o unlzexe.exe
"$NASM" -P nasm.mac lzss.nas -l lzss.lst -f obj -DBUILD=TPC -o lzss.obj
"$NASM" -P nasm.mac lzss.nas -l lzss.lst -f obj -DBUILD=FPC -o lzss.o
"$NASM" lzexedat.asm -l lzexedat.lst -f obj -I ../../lmacros/ -I ../lmacros/
"$NASM" exepack.nas -l exepack.lst -f obj
"$NASM" exepack2.nas -l exepack2.lst -f obj -I ../../lmacros/ -I ../lmacros/
"$NASM" exepack3.nas -l exepack3.lst -f obj -I ../../lmacros/ -I ../lmacros/
"$NASM" exepack4.nas -l exepack4.lst -f obj -I ../../lmacros/ -I ../lmacros/
"$NASM" exepack5.nas -l exepack5.lst -f obj -I ../../lmacros/ -I ../lmacros/
"$NASM" exepack6.nas -l exepack6.lst -f obj -I ../../lmacros/ -I ../lmacros/
"$NASM" exepack7.nas -l exepack7.lst -f obj -I ../../lmacros/ -I ../lmacros/
"$NASM" exepack8.nas -l exepack8.lst -f obj -I ../../lmacros/ -I ../lmacros/
"$NASM" exepack9.nas -l exepack9.lst -f obj -I ../../lmacros/ -I ../lmacros/
./warplink.sh /mx lzexedat.obj + lzss.obj, lzexedat.exe, lzexedat.map;
convlist.pl lzexedat.map lzexedat.lst lzss.lst > lzexedat.tls
"$DOSEMU" -K "$PWD" -dumb -td -kt -quiet -q -E mak.bat
